## ros-kinetic-oculusprime 0.1.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(oculusprime)

## Find catkin macros and libraries
## if COMPONENTS list like find_package(catkin REQUIRED COMPONENTS xyz)
## is used, also find other catkin packages
find_package(catkin REQUIRED COMPONENTS
  rospy
  std_msgs
  nodelet pcl_ros roscpp visualization_msgs dynamic_reconfigure
)
find_package(Boost REQUIRED)
find_package(PCL)

generate_dynamic_reconfigure_options(config/Follower.cfg)


## System dependencies are found with CMake's conventions
# find_package(Boost REQUIRED COMPONENTS system)


## Uncomment this if the package has a setup.py. This macro ensures
## modules and global scripts declared therein get installed
## See http://ros.org/doc/api/catkin/html/user_guide/setup_dot_py.html
# catkin_python_setup()

################################################
## Declare ROS messages, services and actions ##
################################################

## To declare and build messages, services or actions from within this
## package, follow these steps:
## * Let MSG_DEP_SET be the set of packages whose message types you use in
##   your messages/services/actions (e.g. std_msgs, actionlib_msgs, ...).
## * In the file package.xml:
##   * add a build_depend and a run_depend tag for each package in MSG_DEP_SET
##   * If MSG_DEP_SET isn't empty the following dependencies might have been
##     pulled in transitively but can be declared for certainty nonetheless:
##     * add a build_depend tag for "message_generation"
##     * add a run_depend tag for "message_runtime"
## * In this file (CMakeLists.txt):
##   * add "message_generation" and every package in MSG_DEP_SET to
##     find_package(catkin REQUIRED COMPONENTS ...)
##   * add "message_runtime" and every package in MSG_DEP_SET to
##     catkin_package(CATKIN_DEPENDS ...)
##   * uncomment the add_*_files sections below as needed
##     and list every .msg/.srv/.action file to be processed
##   * uncomment the generate_messages entry below
##   * add every package in MSG_DEP_SET to generate_messages(DEPENDENCIES ...)

## Generate messages in the 'msg' folder
# add_message_files(
  # DIRECTORY msg
  # FILES
  # Twist.msg
# )

## Generate services in the 'srv' folder
# add_service_files(
#   FILES
#   Service1.srv
#   Service2.srv
# )

## Generate actions in the 'action' folder
# add_action_files(
#   FILES
#   Action1.action
#   Action2.action
# )

## Generate added messages and services with any dependencies listed here
# generate_messages(
  # DEPENDENCIES
  # geometry_msgs
# )

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  INCLUDE_DIRS
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS nodelet pcl_ros roscpp visualization_msgs dynamic_reconfigure
  DEPENDS Boost PCL
)

###########
## Build ##
###########

## Specify additional locations of header files
## Your package locations should be listed before other locations
# include_directories(include)
include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${PCL_INCLUDE_DIRS}
  ${Boost_INCLUDE_DIRS}
)

## Declare a cpp library
add_library(${PROJECT_NAME} src/follower.cpp)


## Declare a cpp executable
# add_executable(oculusprime_node src/oculusprime_node.cpp)

## Add cmake target dependencies of the executable/library
## as an example, message headers may need to be generated before nodes
add_dependencies(${PROJECT_NAME} ${PROJECT_NAME}_gencfg)

## Specify libraries to link a library or executable target against
target_link_libraries(${PROJECT_NAME}
  ${catkin_LIBRARIES}
  ${PCL_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

## Mark executable scripts (Python etc.) for installation
## in contrast to setup.py, you can choose the destination
install(PROGRAMS
  # scripts/my_python_script
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark executables and/or libraries for installation
install(TARGETS ${PROJECT_NAME} 
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

## Mark cpp header files for installation
# install(DIRECTORY include/${PROJECT_NAME}/
#   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
#   FILES_MATCHING PATTERN "*.h"
#   PATTERN ".svn" EXCLUDE
# )

## Mark other files for installation (e.g. launch and bag files, etc.)
# install(FILES
#   # myfile1
#   # myfile2
#   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
# )

#############
## Testing ##
#############

## Add gtest based cpp test target and link libraries
# catkin_add_gtest(${PROJECT_NAME}-test test/test_oculusprime.cpp)
# if(TARGET ${PROJECT_NAME}-test)
#   target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME})
# endif()

## Add folders to be run by python nosetests
# catkin_add_nosetests(test)


## Mark all other required files for installation
install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY param
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY plugins
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-oculusprime (0.1.3-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Xaxxon Technologies <info@xaxxon.com>  Wed, 07 Jun 2017 19:24:17 -0000

ros-kinetic-oculusprime (0.1.2-0xenial) xenial; urgency=high

  * add empty param folder
  * package.xml updated
  * Contributors: xaxxontech

 -- Xaxxon Technologies <info@xaxxon.com>  Tue, 06 Jun 2017 07:00:00 -0000

ros-kinetic-oculusprime (0.1.1-0xenial) xenial; urgency=high

  * readme modified
  * floorplane_scan_enable mapping launch param change bugfix
  * default astra horiz offset -1 deg
  * horiz_angle_offset launch param setup (incomplete)
  * recovery tweak
  * remote_nav recovery modification
  * follower parameter tweak, descriptions
  * depth cam use_device_time default to false
  * adapted turtlebot blob follower
  * cmd_vel_listener reverse arcmove enabled
  * cmd_vel_listener reverse arcmove enabled
  * odom_test rviz profile really added this time
  * odom_test rviz profile
  * cmd_vel_listener node added
  * cmd_vel_listener node added
  * arcmove tweaks, false transient obstacle move fix
  * arcmove tweaks, false transient obstacle move fix
  * oculusprimesocket module reconnect fix
  * oculusprimesocket module reconnect fix
  * orbbec testing
  * comment cleanup
  * fix check for state rosarcmove
  * transient obstacle pause time increase
  * using distance to goal
  * turn arcmove on/off with state rosarcmove true/false
  * stop cancels recovery routine
  * more arcmove, follow localpath AND global path
  * Merge branch 'master' into devel
  * arcmove tweaks
  * arcmove testing
  * add blank maps, oculusprimesocket module updates
  * oculusprime module add reconnect
  * oclusprimesocket module check for lost connection
  * increase sleep on goal abort, change node name
  * recovery rotation delay
  * map node update
  * move pwm set to java
  * state name change to navsystemstatus
  * node announce to java server
  * drop first global path
  * no rotate on initialposition if docked
  * add global_planner_params.yaml
  * forked depthimage_to_laserscan floor plane objects
  * param tweaks
  * multiple waypoint setting
  * force remote map zoom on update during mapping
  * odometry, gmapping improvements
  * globalpath follow
  * add laserscan data to remote map
  * web remote nav global path added, critical odom bugfix
  * web remote navigation beginnings
  * write openni data to ram drive
  * manifest: correct pkg names in run_depends
    Separator is an underscore, not a hyphen.
  * updated readme
  * updated runtime dependencies, readme, comments
  * python module docs
  * readme modify
  * make_map.launch edited online with Bitbucket
  * make_map.launch edited online with Bitbucket
  * README.md edited online with Bitbucket
  * README.md edited online with Bitbucket
  * README.md edited online with Bitbucket
  * README.md edited online with Bitbucket
  * cleanup, make_map.launch streamlined
  * no telnet login reuired
  * increase sim_time to increase overall speed
  * added lag subtract more accurate odom
  * added after-goal-rotate delay, tested nav_test.py OK
  * added delay after initial turn
  * was using wrong plan, switch to /move_base/DWAPlannerROS/global_plan
  * dwa global path initial turn, better
  * dwa turn towards global path
  * dwa best yet
  * dwa working almost
  * dwa base controller testing
  * modified for indigo
  * hydro working ok, pre indigo dev
  * odom-map tf goal pose working ok
  * odom-map tf goal pose, issues
  * goal pose monitoring works as ong as odo solid, need odom-map-tf monitoring instead
  * slower turning, still working ok
  * added goal status monitoring
  * added goal pose for final orientation, sort of working OK
  * trying new base controller that follows local path
  * testing recording of cmd_vel, derive vector
  * added move buffer to base controller, doesn't work well
  * initial import
  * Contributors: G.A. vd. Hoorn, colin, skyzorg, xaxxon

 -- Xaxxon Technologies <info@xaxxon.com>  Thu, 01 Jun 2017 07:00:00 -0000

=== debian/control ===
Source: ros-kinetic-oculusprime
Section: misc
Priority: extra
Maintainer: Xaxxon Technologies <info@xaxxon.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-dynamic-reconfigure, ros-kinetic-nodelet, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-std-msgs, ros-kinetic-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-oculusprime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-amcl, ros-kinetic-depthimage-to-laserscan, ros-kinetic-dwa-local-planner, ros-kinetic-dynamic-reconfigure, ros-kinetic-gmapping, ros-kinetic-map-server, ros-kinetic-move-base, ros-kinetic-nodelet, ros-kinetic-openni2-camera, ros-kinetic-openni2-launch, ros-kinetic-pcl-ros, ros-kinetic-roscpp, ros-kinetic-rospy, ros-kinetic-std-msgs, ros-kinetic-visualization-msgs
Description: Oculus Prime ROS Interface

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-oculusprime//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
